#!/bin/bash
fullDelete()
{
    echo "Deleting application"
    sudo apt-get remove banyanapp
    echo "Deleting configuration"
    rm -r -f ~/.config/banyanapp/
    rm -r -f /var/log/banyan/
    rm -f ~/.ssh/bnn.config
    rm -f ~/.ssh/bnn-dev.config
    echo "========="
    echo "Open 'Passwords and Keys' and manually delete the Banyan Safe Storage password"
    echo "Manage user certificates - certutil -L -d sql:\$HOME/.pki/nssdb"
}

echo "
Ensure that all organizations have been unregistered and the application is not running
"


while true; do
    read -p "Running this script may cause instability for the Banyan App in the future. Are you sure you want to proceed? (yes/no)" yn
    case $yn in
        [Yy]* ) fullDelete; break;;
        [Nn]* ) exit;;
        * ) echo "Please answer yes or no.";;
    esac
done